Download

Looking for work around on opening a project that seems incompatible with my version of 4.15.1

I just purchased " Minimalist Apartment" and am trying to add it as a project but to no avail
It says it is supported by engine versions 4.7-4.12
I would think i fit that bracket but it wont open
Any one have a suggestion please
Thanks